<?php

$query=$db->prepare("SELECT * FROM owner");
$query->execute();
$row=$query->fetch(PDO::FETCH_ASSOC);

if (isset($_POST['editaccount'])) {
	$save=$db->prepare("UPDATE owner SET
		name=:name,
		surname=:surname,
		username=:username,
		email=:email,
		edit_account=:edit_account
		WHERE id=0");
	$insert=$save->execute(array(
		'name' => $_POST['name'],
		'surname' => $_POST['surname'],
		'username' => $_POST['username'],
		'email' => $_POST['email'],
		'edit_account' => $date
	));
	if ($insert) {
		$success = 'İşlem başarıyla gerçekleşti.';
	} else {
		$error = 'Bir hata oluştu.';
	}
}

if (isset($_POST['editpassword'])) {
	$old=$_POST['old'];
	$one=$_POST['one'];
	$two=$_POST['two'];
	$password=md5($one);
	echo strlen($one);
	if ($one==$two) {
		if (md5($old)==$row['password']) {
			if (strlen($one) >= 6) {
				$save=$db->prepare("UPDATE owner SET
					password=:password,
					edit_password=:edit_password
					WHERE id=0");
				$insert=$save->execute(array(
					'password' => $password,
					'edit_password' => $date
				));
				if ($insert) {
					$success = 'İşlem başarıyla gerçekleşti.';
				} else {
					$error = 'Bir hata oluştu.';
				}
			} else {
				$error = 'Yeni şifreniz 6 haneden küçük olamaz.';
			}
		} else {
			$error = 'Eski şifreniz hatalı.';
		}
	} else {
		$error = 'Şifreler eşleşmiyor.';
	}
}

require admin_view('hesabim');